﻿//Функция провеки прав доступа в технику

//объявляем локальные переменные
private["_veh","_index","_price","_premission"];

//машина, в которой сидит игрок
_veh=vehicle player;

//ищем, есть ли наша машина в базе типов техники
_index=Config_VehicleTypes find (typeOf _veh);

//если есть
if (_index >=0 ) then
{
	//проверяем, есть ли у игрока уже разрешение управлять данной машиной
	_premission=Config_VehiclePremissions select _index;
	
	//если разрешения нет
	if (!_premission) then
	{
		//определяем, сколько стоит разрешение
		_price=Config_VehiclePrices select _index;
		
		//если у игрока хватает денег
		if (PlayerFunds >= _price) then
		{
			//минусуем деньги
			PlayerFunds=PlayerFunds-_price;
			//выдаем игроку разрешение
			Config_VehiclePremissions set [_index, true];
			//выводим сообщение на экран			
			hint "Вы можете управлять этой техникой -1000$!";
		}
		else//если денег на хватает
		{
			//выдаем сообщение на экран
			hint "Вы не можете управлять этой техникой!";
			//выгоняем игрока из техники
			player action ["eject",_veh];
			//запускаем скриптовый код в новом потоке, для выключения двигателя
			_veh spawn 
			{
				//объявляем локальные переменные
				private "_fuel"; 
				//запоминаем сколько было топлива
				_fuel=fuel _this;
				//убираем все топливо
				_this setFuel 0;
				//ждем немного
				sleep 1;
				//возвращаем топливо назад
				_this setFuel _fuel;
			};
		};
	};
}
else//если такой техники нету в базе данных типов
{
	//выдаем на экран сообщение
	hint "Error: Mission data base has no information about such vehicle type!";	
};